de.esprit.netsuite.server.cfg

## Class ServerParams

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.cfg.ServerConfigObject
      - - de.esprit.netsuite.server.cfg.AbstractServerParameters
        - - de.esprit.netsuite.server.cfg.ServerParams

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ServerParams
      extends AbstractServerParameters

  This class encapsulates the dynamic configuration parameters of the server. These parameters are read once when the server is started and can be modified dynamically by a client.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_EXPECTED_MAX_USERS`
    `static int` | `DEFAULT_PARALLEL_AGENTS`
    `static int` | `DEFAULT_PARALLEL_REQUESTS`
    `static int` | `DEFAULT_PARALLEL_TRANSFERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the content
    `protected NdfHandler` | `createNdfHandler()`
    `protected NdfWriter` | `createNdfWriter(ApplicationContext ctx, java.io.File configDir)`
    `boolean` | `equalValues(AbstractServerParameters params)` Compares the values of both parameter maps.
    `protected void` | `fillDefaultValues(NdfProperties props)`
    `java.lang.String` | `getDefaultUserPassword()`
    `java.util.List<java.lang.String>` | `getEmailAddrList()`
    `java.lang.String[]` | `getEmailAdresses()`
    `int` | `getExpectedMaxUsers()`
    `LogLevel` | `getLogLevel()`
    `int` | `getLogMaxFiles()`
    `int` | `getLogMaxLines()`
    `int` | `getMaxParallelAgents()`
    `int` | `getMaxParallelRequests()`
    `int` | `getMaxParallelTransfers()`
    `boolean` | `isSendEmailEnabled()`
    `boolean` | `isSendLogMessageToClients()`
    `void` | `setDefaultUserPassword(java.lang.String encryptedPassword)`
    `void` | `setEmailAddresses(java.lang.String... addresses)`
    `void` | `setExpectedMaxUsers(int users)`
    `void` | `setLogLevel(LogLevel logLevel)`
    `void` | `setLogMaxFiles(int maxFiles)`
    `void` | `setLogMaxLines(int maxLines)`
    `void` | `setMaxParallelAgents(int maxParallelAgents)`
    `void` | `setMaxParallelRequests(int maxParallelRequests)`
    `void` | `setMaxParallelTransfers(int maxParallelTransfers)`
    `void` | `setSendEmailEnabled(boolean isEnabled)`
    `void` | `setSendLogMessage(boolean isSendLog)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.cfg.AbstractServerParameters

      `getProperties, read, write`

    - ### Methods inherited from class de.esprit.netsuite.server.cfg.ServerConfigObject

      `configFileIn, equals, getConfigFileName, hashCode, read, toString, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PARALLEL_REQUESTS

          public static final int DEFAULT_PARALLEL_REQUESTS

      See Also:
        Constant Field Values

    - #### DEFAULT_PARALLEL_TRANSFERS

          public static final int DEFAULT_PARALLEL_TRANSFERS

      See Also:
        Constant Field Values

    - #### DEFAULT_PARALLEL_AGENTS

          public static final int DEFAULT_PARALLEL_AGENTS

      See Also:
        Constant Field Values

    - #### DEFAULT_EXPECTED_MAX_USERS

          public static final int DEFAULT_EXPECTED_MAX_USERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerParams

          public ServerParams()

  - ### Method Detail

    - #### getMaxParallelTransfers

          public int getMaxParallelTransfers()

    - #### getMaxParallelRequests

          public int getMaxParallelRequests()

    - #### getMaxParallelAgents

          public int getMaxParallelAgents()

    - #### getExpectedMaxUsers

          public int getExpectedMaxUsers()

    - #### setExpectedMaxUsers

          public void setExpectedMaxUsers(int users)

    - #### setMaxParallelRequests

          public void setMaxParallelRequests(int maxParallelRequests)

    - #### setMaxParallelTransfers

          public void setMaxParallelTransfers(int maxParallelTransfers)

    - #### setMaxParallelAgents

          public void setMaxParallelAgents(int maxParallelAgents)

    - #### getDefaultUserPassword

          public java.lang.String getDefaultUserPassword()

    - #### setDefaultUserPassword

          public void setDefaultUserPassword(java.lang.String encryptedPassword)

    - #### isSendLogMessageToClients

          public boolean isSendLogMessageToClients()

    - #### setSendLogMessage

          public void setSendLogMessage(boolean isSendLog)

    - #### getLogMaxFiles

          public int getLogMaxFiles()

    - #### getLogMaxLines

          public int getLogMaxLines()

    - #### setLogMaxLines

          public void setLogMaxLines(int maxLines)

    - #### setLogMaxFiles

          public void setLogMaxFiles(int maxFiles)

    - #### setSendEmailEnabled

          public void setSendEmailEnabled(boolean isEnabled)

    - #### isSendEmailEnabled

          public boolean isSendEmailEnabled()

    - #### getLogLevel

          public LogLevel getLogLevel()

    - #### setLogLevel

          public void setLogLevel(LogLevel logLevel)

    - #### getEmailAddrList

          public java.util.List<java.lang.String> getEmailAddrList()

    - #### getEmailAdresses

          public java.lang.String[] getEmailAdresses()

    - #### setEmailAddresses

          public void setEmailAddresses(java.lang.String... addresses)

    - #### equalValues

          public boolean equalValues(AbstractServerParameters params)

      Compares the values of both parameter maps. Returns false if any of the values does not match.
      Overrides:
        `equalValues` in class `AbstractServerParameters`
      Returns:
        false if any of the values does not match.

    - #### fillDefaultValues

          protected final void fillDefaultValues(NdfProperties props)

      Specified by:
        `fillDefaultValues` in class `AbstractServerParameters`

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`
      Overrides:
        `clear` in class `AbstractServerParameters`

    - #### createNdfWriter

          protected NdfWriter createNdfWriter(ApplicationContext ctx,
                                  java.io.File configDir)

      Specified by:
        `createNdfWriter` in class `AbstractServerParameters`

    - #### createNdfHandler

          protected NdfHandler createNdfHandler()

      Specified by:
        `createNdfHandler` in class `AbstractServerParameters`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `AbstractServerParameters`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.